import base64
import random
import codecs


def base(size):
    inString = ''.join(random.choice("abcdefghijklmnopqrstuvwxy") for x in range(int(size*0.75)))
    encodedBytes = base64.b64encode(inString.encode("utf-8"))
    return str(encodedBytes)


def longString(size):
    return ''.join(random.choice("abcdefghijklmnopqrstuvwxy") for x in range(size))


def inHex(size):
    return codecs.encode((''.join(random.choice("abcdefghijklmnopqrstuvwxy") for x in range(int(size/2)))).encode("utf-8"), "hex")